<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page

  if ($connexion){ // si connexion à la base réussi
    
    if(mysql_select_db($base,$connexion)){
      
      if(isset($_GET["ordre"])){ 
        $ordre = $_GET["ordre"];
      }else{
        $ordre = 'cctype';
      }
      
      $requete="Select * from freepay_cc_type;"; // order by $ordre ASC, ccprefix ASC, cclong ASC
      $resultat = mysql_query($requete,$connexion); //connexion de la requete
      if($resultat){ //si la table freepay_cc_type existe
        $ligne=mysql_fetch_assoc($resultat); //affichage des résultats
      }
      
      echo "
        <object>
          <h4 class='titre'>".$PrefixesCarteCredit[$lang]."</h4>
        </object>";
    
      if (!empty($ligne)){
        
        echo '
          <table width="100%">
            <tr>
              <th>Type de Carte</th><th>Prefixes</th><th>Longueur</th>
            </tr>';
    
        $TypeAvant = "rien";
        $cclongAvant = 00;
        $cpt = 0;
        
        while($ligne) //titre des champs
        {  
          if($TypeAvant == $ligne["cctype"] && $cclongAvant == $ligne["cclong"]){
          
            echo ", ".$ligne["ccprefix"];
            
          }else{
          
          if($cpt != 0){
            echo "</td>
              <td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
              onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$cclongAvant."</td>
                </tr>";
          }
          
          echo "<tr>
            <td class='historique' onmouseover='this.style.backgroundColor=\"white\"' 
            onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >";
              if( !empty($ligne["ccurl"]) ) {
                echo '<a href="'.$ligne["ccurl"].'">'.$ligne["cctype"].'</a>';
              }else{
                echo $ligne["cctype"];
              }
             echo "</td>
  
            <td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
            onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$ligne["ccprefix"];
            
            $cclongAvant = $ligne["cclong"];
            
          }
          
          $TypeAvant = $ligne["cctype"];
          
          $cpt = $cpt + 1;
          
          $ligne=mysql_fetch_assoc($resultat);
        }
        
        echo "</td>
            <td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
            onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$cclongAvant."</td>
              </tr>";
              
        echo '
        </table>';
        
      }else{
        echo "<p class='info'>Aucun prexife de carte enregistrée pour le moment.</p>";
      }
      
    }else{
      echo '<p class="erreur"><strong>La connexion à la base de donnée "'.$base.'" à échoué.</strong></p>';
    }
  }
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
